#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <cstdlib>
#include <ctime>
#include <cmath>
#include <vector>
#include <queue>
#include <map>
#include <QDebug>


MainWindow::MainWindow(QWidget *parent) : QMainWindow(parent), ui(new Ui::MainWindow) {
    ui->setupUi(this);
	connect(ui->displayWidget, &MeshViewerWidget::initialized,
			this, &MainWindow::on_gl_initialized);
    OpenMesh::IO::read_mesh(mesh, "../data/bunnyLowPoly.obj");
}


MainWindow::~MainWindow() {
}

void MainWindow::on_gl_initialized() {
    ui->displayWidget->addFromMesh(&mesh);
}
